Package org.gradle.tooling.model.idea

## Interface IdeaModuleDependency

- All Superinterfaces:
    `Dependency`, `IdeaDependency`

      public interface IdeaModuleDependency
      extends IdeaDependency

  Dependency on a module in a project.
  Since:
    1.0-milestone-5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getTargetModuleName()` | Returns the name of the target module

    - ### Methods inherited from interface org.gradle.tooling.model.idea.IdeaDependency

      `getExported, getScope`

- - ### Method Detail

    - #### getTargetModuleName

          String getTargetModuleName()

      Returns the name of the target module
      Returns:
        target module name
      Since:
        3.1